// // components/Header.tsx
// import { motion, useScroll, useTransform } from "framer-motion";
// import { useContext, useEffect, useState } from "react";
// import { CourseDetailContext } from "../CourseDetailContext";
// import { Avatar, Button, Dropdown } from "antd";
// import { UserOutlined } from "@ant-design/icons";
// import { UserMenu } from "@web/src/app/main/layout/UserMenu";
// import { useAuth } from "@web/src/providers/auth-provider";

// export const CourseDetailHeader = () => {
// 	const { scrollY } = useScroll();
// 	const { user, isAuthenticated } = useAuth();
// 	const [lastScrollY, setLastScrollY] = useState(0);
// 	const { course, isHeaderVisible, setIsHeaderVisible, lecture } =
// 		useContext(CourseDetailContext);
// 	useEffect(() => {
// 		const updateHeader = () => {
// 			const current = scrollY.get();
// 			const direction = current > lastScrollY ? "down" : "up";

// 			if (direction === "down" && current > 100) {
// 				setIsHeaderVisible(false);
// 			} else if (direction === "up") {
// 				setIsHeaderVisible(true);
// 			}

// 			setLastScrollY(current);
// 		};

// 		// 使用 requestAnimationFrame 来优化性能
// 		const unsubscribe = scrollY.on("change", () => {
// 			requestAnimationFrame(updateHeader);
// 		});

// 		return () => {
// 			unsubscribe();
// 		};
// 	}, [lastScrollY, scrollY, setIsHeaderVisible]);

// 	return (
// 		<motion.header
// 			initial={{ y: 0 }}
// 			animate={{ y: isHeaderVisible ? 0 : -100 }}
// 			transition={{ type: "spring", stiffness: 300, damping: 30 }}
// 			className="fixed top-0 left-0 w-full h-16 bg-slate-900 backdrop-blur-sm z-50 shadow-sm">
// 			<div className="w-full mx-auto px-4 h-full flex items-center justify-between">
// 				<div className="flex items-center space-x-4">
// 					<h1 className="text-white text-xl ">{course?.title}</h1>
// 				</div>

// 				{isAuthenticated ? (
// 					<Dropdown
// 						overlay={<UserMenu />}
// 						trigger={["click"]}
// 						placement="bottomRight">
// 						<Avatar
// 							size="large"
// 							className="cursor-pointer hover:scale-105 transition-all bg-gradient-to-r from-blue-500 to-blue-600 text-white font-semibold">
// 							{(user?.showname ||
// 								user?.username ||
// 								"")[0]?.toUpperCase()}
// 						</Avatar>
// 					</Dropdown>
// 				) : (
// 					<Button
// 						onClick={() => navigator("/login")}
// 						className="flex items-center space-x-1 bg-gradient-to-r from-blue-500 to-blue-600 text-white hover:from-blue-600 hover:to-blue-700 border-none shadow-md hover:shadow-lg transition-all"
// 						icon={<UserOutlined />}>
// 						登录
// 					</Button>
// 				)}
// 			</div>
// 		</motion.header>
// 	);
// };

// export default CourseDetailHeader;
